package com.fjhx.account.entity.account.vo;

import com.fjhx.account.entity.account.po.AccountRequestFundsDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 列表查询返回值实体
 *
 * @author
 * @since 2023-04-10
 */
@Getter
@Setter
public class AccountRequestFundsDetailVo extends AccountRequestFundsDetail {

    /**
     * 币种
     */
    private String currency;

    /**
     * 合同编号
     */
    private String contractCode;

    /**
     * 汇率
     */
    private BigDecimal rate;

    /**
     * 操作人
     */
    private String userName;
}
