package com.fjhx.account.entity.loan.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 借款信息列表查询入参实体
 *
 * @author
 * @since 2023-09-15
 */
@Getter
@Setter
public class LoanInfoSelectDto extends BaseSelectDto {

    /**
     * 归属公司id
     */
    private Long corporationId;

    /**
     * 还款状态 0未还款 1部分还款 2已还款
     */
    private Integer repaymentStatus;

}
