package com.fjhx.account.mapper.loan;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.loan.po.LoanInfo;
import com.fjhx.account.entity.loan.vo.LoanInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 借款信息 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-09-15
 */
public interface LoanInfoMapper extends BaseMapper<LoanInfo> {

    /**
     * 借款信息分页
     */
    Page<LoanInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<LoanInfo> wrapper);

}
