package com.fjhx.account.mapper.repayment;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.account.entity.repayment.po.RepaymentRecords;
import com.fjhx.account.entity.repayment.vo.RepaymentRecordsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 还款记录 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-09-15
 */
public interface RepaymentRecordsMapper extends BaseMapper<RepaymentRecords> {

    /**
     * 还款记录列表
     */
    List<RepaymentRecordsVo> getList(@Param("ew") IWrapper<RepaymentRecords> wrapper);

}
