package com.fjhx.account.service.transaction;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.transaction.dto.TransactionDepartmentDto;
import com.fjhx.account.entity.transaction.dto.TransactionDepartmentSelectDto;
import com.fjhx.account.entity.transaction.po.TransactionDepartment;
import com.fjhx.account.entity.transaction.vo.TransactionDepartmentVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 往来单位 服务类
 * </p>
 *
 * @author
 * @since 2023-06-26
 */
public interface TransactionDepartmentService extends BaseService<TransactionDepartment> {

    /**
     * 往来单位列表
     */
    List<TransactionDepartmentVo> getList();

    /**
     * 往来单位分页
     */
    Page<TransactionDepartmentVo> getPage(TransactionDepartmentSelectDto dto);

    /**
     * 往来单位新增
     */
    void add(TransactionDepartmentDto transactionDepartmentDto);

    /**
     * 往来单位编辑
     */
    void edit(TransactionDepartmentDto transactionDepartmentDto);

    /**
     * 往来单位删除
     */
    void delete(Long id);

}
