package com.fjhx.common.mapper.corporation;

import com.fjhx.common.entity.corporation.po.Corporation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.corporation.vo.CorporationVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 多公司配置 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-10
 */
public interface CorporationMapper extends BaseMapper<Corporation> {

    /**
     * 多公司配置分页
     */
    Page<CorporationVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Corporation> wrapper);

}
