package com.fjhx.customer.entity.customer.vo;

import com.fjhx.area.service.SetCustomizeAreaName;
import com.fjhx.customer.entity.customer.po.Customer;
import com.fjhx.customer.entity.customer.po.CustomerUser;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 客户表列表查询返回值实体
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
public class CustomerVo extends Customer implements SetCustomizeAreaName {


    private String countryName;

    private String provinceName;

    private String cityName;

    private List<CustomerUser> customerUserList;

    /**
     * 数量
     */
    private Integer count;

    /**
     * 存量
     */
    private Integer incrementCount;

    /**
     * 时间
     */
    private String time;

    /**
     * 客户跟进记录
     */
    private List<CustomerFollowRecordsVo> customerFollowRecordsList;

    /**
     * 是否置顶
     */
    private Integer isTop;

    /**
     * 客户状态 字典值
     */
    private String statusVal;

    /**
     * 国旗
     */
    private String countryIcon;
}
