package com.fjhx.customer.mapper.customer;

import com.fjhx.customer.entity.customer.po.CustomerUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.vo.CustomerUserVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 客户用户表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
public interface CustomerUserMapper extends BaseMapper<CustomerUser> {

    /**
     * 客户用户表列表
     */
    List<CustomerUserVo> getList(@Param("ew") IWrapper<CustomerUser> wrapper);

    /**
     * 客户用户表分页
     */
    Page<CustomerUserVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CustomerUser> wrapper);

}
