package com.fjhx.dingding.constant;

/**
 * https://open-dev.dingtalk.com/fe/app#/appMgr/provider/h5/131175/17
 * https://open.dingtalk.com/document/isvapp/configure-synchttp-push
 * https://open.dingtalk.com/document/isvapp/application-development-process-of-third-party-enterprises
 */
public class Constant {

    /**
     * 应用的SuiteKey，登录开发者后台，点击应用管理，进入应用详情可见
     * https://open-dev.dingtalk.com/fe/app#/appMgr/provider/h5/131175/1
     */
    public static final String SUITE_KEY = "suite8j0xog63udtsaq7g";

    /**
     * 应用的SuiteSecret，登录开发者后台，点击应用管理，进入应用详情可见
     * https://open-dev.dingtalk.com/fe/app#/appMgr/provider/h5/131175/1
     */
    public static final String SUITE_SECRET = "NdbWhD6Iu9n5h-3IKXeepmPwmcFbOw9Em7UeiJKyq3_Wa8LgmJ-G6b8SmsOJMrMc";

    /**
     * 回调URL签名用。应用的签名Token, 登录开发者后台，点击应用管理，进入应用详情可见
     * https://open-dev.dingtalk.com/fe/app#/appMgr/provider/h5/131175/17
     */
    public static final String TOKEN = "SJE6L77NzUB4b2HqsY2ELpRg5uD9HJn6dQ";

    /**
     * 回调URL加解密用。应用的"数据加密密钥"，登录开发者后台，点击应用管理，进入应用详情可见
     * https://open-dev.dingtalk.com/fe/app#/appMgr/provider/h5/131175/17
     */
    public static final String ENCODING_AES_KEY = "FFTCrWbBbdDauMGImmno7g6RSFKDF6HllywGl932b8o";


}
