package com.fjhx.jxst.mapper.sales;

import com.fjhx.jxst.entity.sales.po.SalesContract;
import com.fjhx.jxst.entity.sales.po.SalesContractDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.jxst.entity.sales.vo.SalesContractDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 销售合同明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-16
 */
public interface SalesContractDetailsMapper extends BaseMapper<SalesContractDetails> {

    /**
     * 获取合同明细的生产进度信息
     */
    List<SalesContractDetailsVo> getProductionSchedule(@Param("ew") IWrapper<SalesContractDetails> wrapper);

}
