package com.fjhx.jxst.service.after;

import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.fjhx.jxst.entity.after.po.AfterSalesRecord;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jxst.entity.after.vo.AfterSalesRecordVo;
import com.fjhx.jxst.entity.after.dto.AfterSalesRecordSelectDto;
import com.fjhx.jxst.entity.after.dto.AfterSalesRecordDto;


/**
 * <p>
 * 售后记录 服务类
 * </p>
 *
 * @author
 * @since 2023-05-25
 */
public interface AfterSalesRecordService extends BaseService<AfterSalesRecord> {

    /**
     * 售后记录分页
     */
    Page<AfterSalesRecordVo> getPage(AfterSalesRecordSelectDto dto);

    /**
     * 售后记录明细
     */
    AfterSalesRecordVo detail(Long id);

    /**
     * 售后记录新增
     */
    void add(AfterSalesRecordDto afterSalesRecordDto);

    /**
     * 售后提交
     */
    void afterSales(AfterSalesRecordDto afterSalesRecordDto);
}
