package com.fjhx.jxst.service.sales.impl;

import com.fjhx.jxst.entity.sales.po.SalesContractDetails;
import com.fjhx.jxst.entity.sales.vo.SalesContractDetailsVo;
import com.fjhx.jxst.mapper.sales.SalesContractDetailsMapper;
import com.fjhx.jxst.service.sales.SalesContractDetailsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 销售合同明细 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-05-16
 */
@Service
public class SalesContractDetailsServiceImpl extends ServiceImpl<SalesContractDetailsMapper, SalesContractDetails> implements SalesContractDetailsService {

    /**
     * 获取合同明细的生产进度信息
     */
    @Override
    public List<SalesContractDetailsVo> getProductionSchedule(IWrapper<SalesContractDetails> wrapper){
        return baseMapper.getProductionSchedule(wrapper);
    }

}
