package com.fjhx.mes.entity.border.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 线边流水记录
 * </p>
 *
 * @author
 * @since 2023-03-31
 */
@Getter
@Setter
@TableName("border_of_line_journal")
public class BorderOfLineJournal extends BasePo {

    /**
     * 线边管理id
     */
    private Long borderOfLineId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 操作类型 1用料 2回仓 3报废 4其他 5添加
     */
    private Integer type;

}
