package com.fjhx.mes.entity.completion.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 完工入库
 * </p>
 *
 * @author
 * @since 2023-03-31
 */
@Getter
@Setter
@TableName("completion_info")
public class CompletionInfo extends BasePo {

    /**
     * 生产任务id
     */
    private Long productionTaskId;

    /**
     * 完工数量
     */
    private BigDecimal quantity;

}
