package com.fjhx.mes.entity.production.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 任务明细记录
 * </p>
 *
 * @author 
 * @since 2023-05-18
 */
@Getter
@Setter
@TableName("production_task_detail_record")
public class ProductionTaskDetailRecord extends BasePo {

    /**
     * 任务明细id
     */
    private Long productionTaskDetailId;

    /**
     * 工序id
     */
    private Long productionProcessesId;

    /**
     * 负责人id
     */
    private Long personLiableId;

    /**
     * 接收时间
     */
    private Date receivedTime;

}
