package com.fjhx.mes.entity.production.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 生产任务工序用户绑定表
 * </p>
 *
 * @author 
 * @since 2023-10-31
 */
@Getter
@Setter
@TableName("production_task_processes_detail")
public class ProductionTaskProcessesDetail extends BasePo {

    /**
     * 生产任务id
     */
    private Long productionTaskId;

    /**
     * 工序id
     */
    private Long productionProcessesId;

    /**
     * 用户id
     */
    private Long userId;

}
