package com.fjhx.mes.entity.work.dto;

import com.fjhx.mes.entity.work.po.WorkOrderBom;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 工单bom新增编辑入参实体
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
public class WorkOrderBomDto extends WorkOrderBom {

    /**
     * 定制bom列表
     */
    List<WorkOrderBom> workOrderBomList;

    /**
     * BOM定制状态 1已定制 0暂存
     */
    private Integer bomStatus;

    /**
     * 研发BOM调整状态
     */
    private Integer researchBomStatus;
    /**
     * 电工（电控）BOM调整状态
     */
    private Integer electricianBomStatus;
}
