package com.fjhx.mes.entity.work.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.mes.entity.work.po.WorkOrderProductionProcesses;
import com.fjhx.mes.entity.work.vo.WorkOrderProductionProcessesVo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 工单工序新增编辑入参实体
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
public class WorkOrderProductionProcessesDto extends WorkOrderProductionProcesses {

    /**
     * 工序列表
     */
    List<WorkOrderProductionProcessesVo> workOrderProductionProcessesList;

    /**
     * 工艺定制状态 1已定制 0暂存
     */
    private Integer technologyStatus;

    /**
     * 附件列表
     */
    private List<ObsFile> fileList;

}
