package com.fjhx.mes.mapper.assembly;

import com.fjhx.mes.entity.assembly.po.AssemblyLine;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.assembly.vo.AssemblyLineVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 产线 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-03-23
 */
public interface AssemblyLineMapper extends BaseMapper<AssemblyLine> {

    /**
     * 产线分页
     */
    Page<AssemblyLineVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AssemblyLine> wrapper);

}
