package com.fjhx.mes.mapper.border;

import com.fjhx.mes.entity.border.po.BorderOfLineJournal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.border.vo.BorderOfLineJournalVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 线边流水记录 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-03-31
 */
public interface BorderOfLineJournalMapper extends BaseMapper<BorderOfLineJournal> {

    /**
     * 线边流水记录分页
     */
    Page<BorderOfLineJournalVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<BorderOfLineJournal> wrapper);

}
