package com.fjhx.mes.mapper.border;

import com.fjhx.mes.entity.border.po.BorderOfLine;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.border.vo.BorderOfLineVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 线边管理 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-03-31
 */
public interface BorderOfLineMapper extends BaseMapper<BorderOfLine> {

    /**
     * 线边管理分页
     */
    Page<BorderOfLineVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<BorderOfLine> wrapper);

}
