package com.fjhx.oa.entity.daily.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 日报列表查询入参实体
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
public class DailyReportSelectDto extends BaseSelectDto {

    /**
     * 发送者id
     */
    private Long senderId;

    /**
     * 日期过滤
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date date;

    /**
     * 过滤类型 1为我发出的日报 2为我收到的日报
     */
    private Integer type;

}
