package com.fjhx.oa.service.daily;

import com.fjhx.oa.entity.daily.po.DailyReportDetails;
import com.fjhx.oa.entity.daily.vo.DailyReportDetailsVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 日报明细 服务类
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
public interface DailyReportDetailsService extends BaseService<DailyReportDetails> {

    /**
     * 日报接收人已读未读列表
     */
    List<DailyReportDetailsVo> list(Long id);

    /**
     * 提醒接收者日报未读
     */
    void remind(Long id);
}
