package com.fjhx.sale.entity.contract.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 外销合同表列表查询入参实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class ContractSelectDto extends BaseSelectDto {

    /**
     * 审批状态
     */
    private String status;

    /**
     * 归属公司ID
     */
    private String sellCorporationId;

    /**
     * 客户Id
     */
    private String customerId;

    /**
     * 业务员
     */
    private String userName;

    /**
     * 业务员ID
     */
    private String userId;

    /**
     * 到款状态
     */
    private String refundStatusNew;

    /**
     * 合同类型
     */
    private String contractType;
    /**
     * 是否结汇 1是 0不是
     */
    private String isExchangeSettlement;

}
