package com.fjhx.sale.entity.contract.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 外销合同--预算
 * </p>
 *
 * @author
 * @since 2023-05-17
 */
@Getter
@Setter
@TableName("contract_budget")
public class ContractBudget extends BasePo {

    /**
     * 外销合同ID
     */
    private Long contractId;

    /**
     * 拖车费币种
     */
    private String trailerFeeCurrency;

    /**
     * 拖车费
     */
    private BigDecimal trailerFee;

    /**
     * 报关费币种
     */
    private String customsFeeCurrency;

    /**
     * 报关费
     */
    private BigDecimal customsFee;

    /**
     * 代理费币种
     */
    private String agencyFeeCurrency;

    /**
     * 代理费
     */
    private BigDecimal agencyFee;

    /**
     * 港杂费币种
     */
    private String portMixedFeeCurrency;

    /**
     * 港杂费
     */
    private BigDecimal portMixedFee;

    /**
     * 验货红包币种
     */
    private String inspectionRedPackCurrency;

    /**
     * 验货红包
     */
    private BigDecimal inspectionRedPack;

    /**
     * 佣金币种
     */
    private String commissionCurrency;

    /**
     * 佣金
     */
    private BigDecimal commission;

    /**
     * 其他币种
     */
    private String otherCurrency;

    /**
     * 其他
     */
    private BigDecimal other;

}
