package com.fjhx.sale.entity.contract.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 合同发票管理
 * </p>
 *
 * @author
 * @since 2023-09-08
 */
@Getter
@Setter
@TableName("contract_invoice")
public class ContractInvoice extends BasePo {

    /**
     * 归属公司ID
     */
    private Long corporationId;
    /**
     * 供应商ID
     */
    private Long customerId;

    /**
     * 开票金额
     */
    private BigDecimal money;

    /**
     * 发票类型 字典invoice_type
     */
    private Integer type;

    /**
     * 备注
     */
    private String remark;

}
