package com.fjhx.sale.entity.contract.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 合同发票明细
 * </p>
 *
 * @author
 * @since 2023-09-08
 */
@Getter
@Setter
@TableName("contract_invoice_details")
public class ContractInvoiceDetails extends BasePo {

    /**
     * 发票管理id
     */
    private Long invoiceId;

    /**
     * 采购合同id
     */
    private Long contractId;

    /**
     * 关联金额
     */
    private BigDecimal money;

    /**
     * 备注
     */
    private String remark;

}
