package com.fjhx.sale.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * ehsd采购产品配件表
 * </p>
 *
 * @author
 * @since 2023-05-17
 */
@Getter
@Setter
@TableName("ehsd_purchase_product_mountings")
public class EhsdPurchaseProductMountings extends BasePo {

    /**
     * 采购单ID
     */
    private Long purchaseProductId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品型号
     */
    private String productModel;

    /**
     * 商品数量
     */
    private BigDecimal quantity;

    /**
     * 商品单价
     */
    private BigDecimal price;

    /**
     * 商品金额
     */
    private BigDecimal amount;

    /**
     * 产品类型
     */
    private String productType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 尔弘时代扩展JSON
     */
    private String json;

}
