package com.fjhx.sale.mapper.contract;

import com.fjhx.sale.entity.contract.po.ContractBudget;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractBudgetVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 外销合同--预算 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-05-17
 */
public interface ContractBudgetMapper extends BaseMapper<ContractBudget> {

    /**
     * 外销合同--预算分页
     */
    Page<ContractBudgetVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ContractBudget> wrapper);

}
