package com.fjhx.sale.mapper.contract;

import com.fjhx.sale.entity.contract.po.ContractInvoice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractInvoiceVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 合同发票管理 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-09-08
 */
public interface ContractInvoiceMapper extends BaseMapper<ContractInvoice> {

    /**
     * 合同发票管理分页
     */
    Page<ContractInvoiceVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ContractInvoice> wrapper);

}
