package com.fjhx.sale.mapper.documents;

import com.fjhx.sale.entity.documents.po.DocumentsPdf;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.documents.vo.DocumentsPdfVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 单证PDF数据存放表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-26
 */
public interface DocumentsPdfMapper extends BaseMapper<DocumentsPdf> {

    /**
     * 单证PDF数据存放表分页
     */
    Page<DocumentsPdfVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<DocumentsPdf> wrapper);

}
