package com.fjhx.sale.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.purchase.dto.EhsdPurchaseArrivalDto;
import com.fjhx.sale.entity.purchase.dto.EhsdPurchaseArrivalSelectDto;
import com.fjhx.sale.entity.purchase.po.EhsdPurchaseArrival;
import com.fjhx.sale.entity.purchase.vo.EhsdPurchaseArrivalVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 采购合同-到货计划 服务类
 * </p>
 *
 * @author
 * @since 2023-05-17
 */
public interface EhsdPurchaseArrivalService extends BaseService<EhsdPurchaseArrival> {

    /**
     * 采购合同-到货计划分页
     */
    Page<EhsdPurchaseArrivalVo> getPage(EhsdPurchaseArrivalSelectDto dto);

    /**
     * 采购合同-到货计划明细
     */
    EhsdPurchaseArrivalVo detail(Long id);

    /**
     * 采购合同-到货计划新增
     */
    void add(EhsdPurchaseArrivalDto ehsdPurchaseArrivalDto);

    /**
     * 采购合同-到货计划编辑
     */
    void edit(EhsdPurchaseArrivalDto ehsdPurchaseArrivalDto);

    /**
     * 采购合同-到货计划删除
     */
    void delete(Long id);

}
