package com.fjhx.victoriatourist.entity.abnormal.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 异常记录
 * </p>
 *
 * @author
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("abnormal_info")
public class AbnormalInfo extends BasePo {

    /**
     * 异常来源 10到货质检 20京东订单出库 30调仓
     */
    private Integer type;

    /**
     * 关联id
     */
    private Long linkId;

    /**
     * 关联编码
     */
    private String linkCode;

    /**
     * 异常说明
     */
    private String title;

    /**
     * 状态 0未处理 1跟进中 2已处理
     */
    private Integer status;

    /**
     * 最近处理用户
     */
    private Long handleUser;

    /**
     * 最近处理时间
     */
    private Date handleTime;

    /**
     * 备注
     */
    private String remark;

}
