package com.fjhx.victoriatourist.mapper.after;

import com.fjhx.victoriatourist.entity.after.po.AfterSaleRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.after.vo.AfterSaleRecordVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 售后管理 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-19
 */
public interface AfterSaleRecordMapper extends BaseMapper<AfterSaleRecord> {

    /**
     * 售后管理分页
     */
    Page<AfterSaleRecordVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AfterSaleRecord> wrapper);

}
