package com.fjhx.account.entity.account.dto;

import com.fjhx.account.entity.account.po.AccountPayment;
import com.fjhx.file.entity.ObsFile;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 打款表新增编辑入参实体
 *
 * @author
 * @since 2023-04-11
 */
@Getter
@Setter
public class AccountPaymentDto extends AccountPayment {

    /**
     * 附件信息
     */
    private List<ObsFile> fileList;

    /**
     * 账户名
     */
    private String name;


    /**
     * 开户银行
     */
    private String openingBank;

    /**
     * 开户账号
     */
    private String accountOpening;

    /**
     * 是否往来 1是 0不是
     */
    private Integer isTransaction;

    /**
     * 往来单位id
     */
    private Long transactionDeptId;

    /**
     * 往来单位类型 0往来单位 1多公司
     */
    private Integer deptType;

}
