package com.fjhx.account.entity.account.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 账户-余额表
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("account_remainder")
public class AccountRemainder extends BasePo {

    /**
     * 账户管理表ID
     */
    private Long accountManagementId;

    /**
     * 币种（字典account_currency）
     */
    private String currency;

    /**
     * 余额
     */
    private BigDecimal remainder;

    /**
     * 变更-余额
     */
    private BigDecimal changeRemainder;

    /**
     * 交易状态：10 收入，20支出
     */
    private String status;

    /**
     * 交易状态：10 收入，20支出
     */
    private String tenantId;
}
