package com.fjhx.account.entity.account.vo;

import com.fjhx.account.entity.account.po.AccountManagement;
import com.fjhx.account.entity.account.po.AccountRemainder;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 账户-管理表列表查询返回值实体
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
public class AccountManagementVo extends AccountManagement {

    /**
     * 归属公司名称
     */
    private String corporationName;

    /**
     * 余额列表
     */
    private List<AccountRemainder> accountRemainderList;

}
