package com.fjhx.account.entity.loan.vo;

import com.fjhx.account.entity.loan.po.LoanInfo;
import lombok.Getter;
import lombok.Setter;

/**
 * 借款信息列表查询返回值实体
 *
 * @author
 * @since 2023-09-15
 */
@Getter
@Setter
public class LoanInfoVo extends LoanInfo {

    /**
     * 归属公司名称
     */
    private String corporationName;

    /**
     * 付款账号名称
     */
    private String loanAccountName;

    /**
     * 创建人名称
     */
    private String createUserName;

}
