package com.fjhx.account.service.repayment;

import com.fjhx.account.entity.repayment.dto.RepaymentRecordsDto;
import com.fjhx.account.entity.repayment.dto.RepaymentRecordsSelectDto;
import com.fjhx.account.entity.repayment.po.RepaymentRecords;
import com.fjhx.account.entity.repayment.vo.RepaymentRecordsVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 还款记录 服务类
 * </p>
 *
 * @author
 * @since 2023-09-15
 */
public interface RepaymentRecordsService extends BaseService<RepaymentRecords> {

    /**
     * 还款记录列表
     */
    List<RepaymentRecordsVo> getList(RepaymentRecordsSelectDto dto);

    /**
     * 还款记录新增
     */
    void add(RepaymentRecordsDto repaymentRecordsDto);

}
