package com.fjhx.data.controller;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.common.constant.SourceConstant;
import com.fjhx.data.service.t.TErpProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 产品信息表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-05-06
 */
@DS(SourceConstant.DATA)
@RestController
@RequestMapping("/base/transfer")
public class BaseController {

    @Autowired
    private TErpProductService tErpProductService;

    /**
     * 产品数据传输
     */
    @GetMapping("/transferProduct")
    public void transferProduct() {
        tErpProductService.transferProduct();
    }

}
