package com.fjhx.jxst.entity.after.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.item.entity.product.po.ProductInfo;
import com.fjhx.jxst.entity.after.po.AfterSalesMaterials;
import com.fjhx.jxst.entity.after.po.AfterSalesRecord;
import com.fjhx.jxst.entity.after.po.AfterSalesRecordDetail;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 售后记录新增编辑入参实体
 *
 * @author
 * @since 2023-05-25
 */
@Getter
@Setter
public class AfterSalesRecordDto extends AfterSalesRecord {

    /**
     * 售后明细列表
     */
    private List<AfterSalesRecordDetailDto> afterSalesRecordDetailList;

    /**
     * 附件列表
     */
    private List<ObsFile> fileList;

    /**
     * 售后处理需要 物料列表
     */
    private List<AfterSalesMaterials> afterSalesMaterialsList;

}
