package com.fjhx.jxst.entity.after.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 售后跟进物料表
 * </p>
 *
 * @author 
 * @since 2023-12-07
 */
@Getter
@Setter
@TableName("after_sales_materials")
public class AfterSalesMaterials extends BasePo {

    /**
     * 售后记录id
     */
    private Long afterSalesRecordId;

    /**
     * 物料id
     */
    private Long productId;

    /**
     * 售后数量
     */
    private BigDecimal quantity;

}
