package com.fjhx.jxst.entity.after.vo;

import com.fjhx.jxst.entity.after.po.AfterSalesRecord;
import com.fjhx.mes.entity.bom.vo.BomDetailVo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 售后记录列表查询返回值实体
 *
 * @author
 * @since 2023-05-25
 */
@Getter
@Setter
public class AfterSalesRecordVo extends AfterSalesRecord {

    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品规格
     */
    private String productSpec;

    /**
     * bomInfoId
     */
    private Long bomInfoId;

    /**
     * bom明细列表
     */
    List<BomDetailVo> bomDetailList;
}
