package com.fjhx.jxst.entity.sales.vo;

import com.fjhx.jxst.entity.sales.po.SalesContractDetails;
import com.fjhx.mes.entity.production.vo.ProductionTaskDetailVo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 销售合同明细列表查询返回值实体
 *
 * @author 
 * @since 2023-05-16
 */
@Getter
@Setter
public class SalesContractDetailsVo extends SalesContractDetails {

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品名称
     */
    private String productSpec;

    /**
     * 产品名称
     */
    private String productUnit;

    /**
     * 生产数量
     */
    private BigDecimal productionQuantity;

    /**
     * 完工数量
     */
    private BigDecimal completedQuantity;

    /**
     * 完工率
     */
    private BigDecimal completionRate;

    /**
     * 生产任务明细列表
     */
    private List<ProductionTaskDetailVo> productionTaskDetailList;

}
