package com.fjhx.jxst.entity.statement.bo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class SettlementBo {
    /**
     * 合同id
     */
    private Long id;

    /**
     * 销售合同号
     */
    private String salesContractCode;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 总收入
     */
    private BigDecimal totalIncome;
    /**
     * 总支出
     */
    private BigDecimal totalExpenditure;
    /**
     * 毛利率
     */
    private BigDecimal grossProfitMargin;
    /**
     * 毛利
     */
    private BigDecimal grossProfit;
    /**
     * 合同金额
     */
    private BigDecimal contractAmount;

    /**
     * 合同到账金额
     */
    private BigDecimal contractClaimAmount;
    /**
     * 物料成本
     */
    private BigDecimal materialFee;
    /**
     * 售后费用
     */
    private BigDecimal afterSalesFee;
    /**
     * 拖车费
     */
    private BigDecimal trailerFee;
    /**
     * 验收红包
     */
    private BigDecimal inspectionRedPackFee;
    /**
     * 佣金
     */
    private BigDecimal commissionFee;
    /**
     * 其他费用
     */
    private BigDecimal otherFee;

    /**
     * 请款金额
     */
    private BigDecimal requestFundsAmount;

    /**
     * 合同是否结清
     */
    private Integer isSettled;
}
