package com.fjhx.jxst.mapper.after;

import com.fjhx.jxst.entity.after.po.AfterSalesRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jxst.entity.after.vo.AfterSalesRecordVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 售后记录 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-05-25
 */
public interface AfterSalesRecordMapper extends BaseMapper<AfterSalesRecord> {

    /**
     * 售后记录分页
     */
    Page<AfterSalesRecordVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AfterSalesRecord> wrapper);

}
