package com.fjhx.jxst.service.sales;

import com.fjhx.jxst.entity.sales.po.SalesContractDetails;
import com.fjhx.jxst.entity.sales.vo.SalesContractDetailsVo;
import com.ruoyi.common.core.service.BaseService;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.util.List;


/**
 * <p>
 * 销售合同明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-16
 */
public interface SalesContractDetailsService extends BaseService<SalesContractDetails> {

    /**
     * 获取合同明细的生产进度信息
     */
    List<SalesContractDetailsVo> getProductionSchedule(IWrapper<SalesContractDetails> wrapper);
}
