package com.fjhx.mes.entity.assembly.po;

import com.ruoyi.common.core.domain.BaseIdPo;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 产线
 * </p>
 *
 * @author
 * @since 2023-03-23
 */
@Getter
@Setter
@TableName("assembly_line")
public class AssemblyLine extends BaseIdPo {

    /**
     * 车间id
     */
    private Long workshopId;

    /**
     * 产线类型
     */
    private Integer type;

    /**
     * 产线名称
     */
    private String name;

    /**
     * 负责人id
     */
    private Long personLiableId;

    /**
     * 说明
     */
    private String remarks;

}
