package com.fjhx.mes.entity.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fjhx.mes.entity.production.po.ProductionTaskDetail;
import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 生产任务明细列表查询入参实体
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
public class ProductionTaskDetailSelectDto extends BaseSelectDto {

    //高级检索
    /**
     * 销售合同号
     */
    private String contractCode;
    /**
     * 工单号
     */
    private String workOrderCode;
    /**
     * 生产计划号
     */
    private String productionPlanCode;
    /**
     * 生产任务号
     */
    private String productionTaskCode;
    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品sn
     */
    private String productSn;
    /**
     * 任务完成期限
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    private Date dueDate;
    /**
     * 当前工序名称
     */
    private String productionProcessesName;
    /**
     * 当前工序负责人
     */
    private String personLiableName;
    /**
     * 任务完成状态
     */
    private Integer getFinishStatus;
    /**
     * 任务完成时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    private String getFinishTime;




}
