package com.fjhx.mes.entity.work.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.mes.entity.work.po.WorkOrder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 工单新增编辑入参实体
 *
 * @author 
 * @since 2023-03-29
 */
@Getter
@Setter
public class WorkOrderDto extends WorkOrder {

    /**
     * 附件列表(工单目前已经绑定两种工单 附件类型 研发上传为0 定制工艺上传为1)
     */
    private List<ObsFile> fileList;

}
