package com.fjhx.mes.mapper.applicable;

import com.fjhx.mes.entity.applicable.po.ApplicableProducts;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.applicable.vo.ApplicableProductsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 工艺适用产品明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-03-28
 */
public interface ApplicableProductsMapper extends BaseMapper<ApplicableProducts> {

    /**
     * 工艺适用产品明细分页
     */
    Page<ApplicableProductsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ApplicableProducts> wrapper);

}
