package com.fjhx.mes.service.production.impl;

import com.fjhx.mes.entity.production.po.ProductionTaskDetailRecord;
import com.fjhx.mes.mapper.production.ProductionTaskDetailRecordMapper;
import com.fjhx.mes.service.production.ProductionTaskDetailRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 任务明细记录 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-05-18
 */
@Service
public class ProductionTaskDetailRecordServiceImpl extends ServiceImpl<ProductionTaskDetailRecordMapper, ProductionTaskDetailRecord> implements ProductionTaskDetailRecordService {

    @Override
    public List<ProductionTaskDetailRecord> listByTaskDetailId(Long id){
        return this.list(q->q.eq(ProductionTaskDetailRecord::getProductionTaskDetailId,id).orderByDesc(ProductionTaskDetailRecord::getCreateTime));
    }
}
