package com.fjhx.oa.controller.daily;

import com.fjhx.oa.entity.daily.vo.DailyReportDetailsVo;
import com.fjhx.oa.service.daily.DailyReportDetailsService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 日报明细 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
@RestController
@RequestMapping("/dailyReportDetails")
public class DailyReportDetailsController {
    @Autowired
    DailyReportDetailsService dailyReportDetailsService;

    @PostMapping("/list")
    public List<DailyReportDetailsVo> list(@RequestBody BaseSelectDto dto) {
        return dailyReportDetailsService.list(dto.getId());
    }

    @PostMapping("/remind")
    public void remind(@RequestBody BaseSelectDto dto) {
        dailyReportDetailsService.remind(dto.getId());
    }


}
