package com.fjhx.oa.entity.contacts.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 外部通讯录联系人
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("contacts")
public class Contacts extends BasePo {

    /**
     * 企业id
     */
    private Long enterpriseId;

    /**
     * 企业类型 1客户 2供应商 3自定义
     */
    private Integer enterpriseType;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 联系人名称
     */
    private String contactName;

    /**
     * 手机号
     */
    private String phoneNumber;

}
