package com.fjhx.oa.entity.daily.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 日报明细
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
@TableName("daily_report_details")
public class DailyReportDetails extends BasePo {

    /**
     * 日报id
     */
    private Long dailyReportId;

    /**
     * 接收人id
     */
    private Long recipientId;

    /**
     * 是否已读
     */
    private Integer isRead;

}
