package com.fjhx.oa.mapper.contacts;

import com.fjhx.oa.entity.contacts.po.Contacts;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.contacts.vo.ContactsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 外部通讯录联系人 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
public interface ContactsMapper extends BaseMapper<Contacts> {

    /**
     * 外部通讯录联系人分页
     */
    Page<ContactsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Contacts> wrapper);

}
