package com.fjhx.oa.mapper.daily;

import com.fjhx.oa.entity.daily.po.DailyReportComments;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.daily.vo.DailyReportCommentsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 报表评论 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
public interface DailyReportCommentsMapper extends BaseMapper<DailyReportComments> {

    /**
     * 报表评论分页
     */
    Page<DailyReportCommentsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<DailyReportComments> wrapper);

}
