package com.fjhx.sale.entity.contract.vo;

import com.fjhx.sale.entity.contract.po.ContractInvoiceDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 合同发票明细列表查询返回值实体
 *
 * @author
 * @since 2023-09-08
 */
@Getter
@Setter
public class ContractInvoiceDetailsVo extends ContractInvoiceDetails {

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 合同金额
     */
    private BigDecimal contractAmount;

    /**
     * 总金额
     */
    private BigDecimal sumMoney;

}
