package com.fjhx.sale.entity.contract.vo;

import com.fjhx.sale.entity.contract.po.ContractInvoice;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 合同发票管理列表查询返回值实体
 *
 * @author
 * @since 2023-09-08
 */
@Getter
@Setter
public class ContractInvoiceVo extends ContractInvoice {

    private List<ContractInvoiceDetailsVo> contractInvoiceDetailsVoList;

    private String customerName;

    /**
     * 归属公司名称
     */
    private String corporationName;

    /**
     * 合同号多个
     */
    private String contractCodes;

    /**
     * 用户名
     */
    private String userName;
}
