package com.fjhx.sale.mapper.contract;

import com.fjhx.sale.entity.contract.po.ContractProject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractProjectVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 外销合同-收费项目 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-17
 */
public interface ContractProjectMapper extends BaseMapper<ContractProject> {

    /**
     * 外销合同-收费项目分页
     */
    Page<ContractProjectVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ContractProject> wrapper);

}
