package com.fjhx.sale.service.commission.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.fjhx.sale.entity.commission.po.CommissionRule;
import com.fjhx.sale.entity.commission.vo.CommissionVo;
import com.fjhx.sale.mapper.commission.CommissionRuleMapper;
import com.fjhx.sale.service.commission.CommissionRuleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.wms.entity.warehouse.po.Warehouse;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 业绩提成规则表 服务实现类
 * </p>
 *
 * @author
 * @since 2023-05-11
 */
@Service
public class CommissionRuleServiceImpl extends ServiceImpl<CommissionRuleMapper, CommissionRule> implements CommissionRuleService {

    /**
     * 详情
     *
     * @param id
     * @return
     */
    @Override
    public CommissionRule detail(Long id) {
        CommissionRule commissionRule = baseMapper.selectOne(Wrappers.<CommissionRule>lambdaQuery().eq(CommissionRule::getCommissionId, id));
        return commissionRule;
    }

}
