package com.fjhx.sale.service.documents;

import com.fjhx.sale.entity.documents.dto.DocumentsTransportDto;
import com.fjhx.sale.entity.documents.po.DocumentsTransport;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.documents.vo.DocumentsTransportVo;
import com.fjhx.sale.entity.documents.dto.DocumentsTransportSelectDto;


/**
 * <p>
 * 单证-货运表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
public interface DocumentsTransportService extends BaseService<DocumentsTransport> {

    /**
     * 单证-货运表分页
     */
    Page<DocumentsTransportVo> getPage(DocumentsTransportSelectDto dto);

    /**
     * 单证-货运表明细
     */
    DocumentsTransportVo detail(Long id);

    /**
     * 单证-货运添加
     *
     * @param dto
     * @return
     */
    void add(DocumentsTransportDto dto);
}
