package com.fjhx.sale.service.statement;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.dto.ContractSelectDto;
import com.fjhx.sale.entity.contract.vo.ContractBudgetVo;
import com.fjhx.sale.entity.statement.dto.ProfitSettlementDto;
import com.fjhx.sale.entity.statement.vo.ProfitSettlementVo;

import java.util.Map;

public interface SaleStatementService {

    Page<ProfitSettlementVo> getProfitSettlement(ProfitSettlementDto dto);

    Map<String,Object> getProfitSettlementHead(ProfitSettlementDto dto);

    /**
     * 利润结算头部统计
     */
    Page<ContractBudgetVo> getProfitClearingPageHeadStatistics(ContractSelectDto dto);

}
