package com.fjhx.victoriatourist.entity.deliver.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 发货
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
@TableName("deliver_goods")
public class DeliverGoods extends BasePo {

    /**
     * 物流公司编号
     */
    private String logisticsCompanyCode;

    /**
     * 物流单号
     */
    private String code;

    /**
     * 采购单号
     */
    private Long purchaseId;

    /**
     * 状态 0未到货 1到货
     */
    private Integer status;

}
