package com.fjhx.victoriatourist.service.abnormal;

import com.fjhx.victoriatourist.entity.abnormal.po.AbnormalDetails;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.abnormal.vo.AbnormalDetailsVo;
import com.fjhx.victoriatourist.entity.abnormal.dto.AbnormalDetailsSelectDto;
import com.fjhx.victoriatourist.entity.abnormal.dto.AbnormalDetailsDto;


/**
 * <p>
 * 异常处理详情 服务类
 * </p>
 *
 * @author
 * @since 2023-04-11
 */
public interface AbnormalDetailsService extends BaseService<AbnormalDetails> {

    /**
     * 异常处理详情分页
     */
    Page<AbnormalDetailsVo> getPage(AbnormalDetailsSelectDto dto);

    /**
     * 异常处理详情新增
     */
    void add(AbnormalDetailsDto abnormalDetailsDto);

}
