package com.fjhx.wms.mapper.stock;

import com.fjhx.wms.entity.stock.po.StockWaitDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.vo.StockWaitDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 待出入库明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
public interface StockWaitDetailsMapper extends BaseMapper<StockWaitDetails> {

    /**
     * 待出入库明细分页
     */
    Page<StockWaitDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockWaitDetails> wrapper);

    List<StockWaitDetailsVo> getList( @Param("ew") IWrapper<StockWaitDetails> wrapper);

}
